# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: PayFort
    class: XC\PayFort\Model\Payment\Processor\PayFort
    type: C
    orderby: 0
    countries: [AE, EG, JO, KW, LB, OM, QA, SA]
    translations: [{code: en, name: PayFort}]
    settings: [{name: access_code}, {name: merchant_identifier}, {name: sha_type, value: sha512}, {name: request_phrase}, {name: response_phrase}, {name: type, value: sale}, {name: mode, value: test}]
XLite\Model\LanguageLabel:
  - {name: 'Merchant identifier', translations: [{code: en, label: 'Merchant identifier'}]}
  - {name: 'Access code', translations: [{code: en, label: 'Access code'}]}
  - {name: 'SHA Type', translations: [{code: en, label: 'SHA Type'}]}
  - {name: 'The Secure Hash Algorithm is a family of cryptographic hash functions published by the National Institute of Standards as a US Federal information processing standard (FIPS).', translations: [{code: en, label: 'The Secure Hash Algorithm is a family of cryptographic hash functions published by the National Institute of Standards as a US Federal information processing standard (FIPS).'}]}
  - {name: 'SHA Request Phrase', translations: [{code: en, label: 'SHA Request Phrase'}]}
  - {name: 'This value is used when the Merchant generates the request signature. ', translations: [{code: en, label: 'This value is used when the Merchant generates the request signature. '}]}
  - {name: 'SHA Response Phrase', translations: [{code: en, label: 'SHA Response Phrase'}]}
  - {name: 'This value is used by our system to generate the response signature for the Merchant’s Request.', translations: [{code: en, label: 'This value is used by our system to generate the response signature for the Merchant’s Request.'}]}
  - {name: 'The ''First name'' or ''Last name'' field contains unallowed characters. Only letters, numbers, slash (/), backslash (\), underscore (_), minus (-), dot (.), single quote ('') and space character ( ) are allowed.', translations: [{code: en, label: 'The ''First name'' or ''Last name'' field contains unallowed characters. Only letters, numbers, slash (/), backslash (\), underscore (_), minus (-), dot (.), single quote ('') and space character ( ) are allowed.'}]}
  - {name: 'The field ''email'' contains unallowed characters. Only letters, numbers, underscore (_), minus (-), dot (.) and at sign (@) are allowed.', translations: [{code: en, label: 'The field ''email'' contains unallowed characters. Only letters, numbers, underscore (_), minus (-), dot (.) and at sign (@) are allowed.'}]}

  - {name: 'Merchant Identifier', translations: [{code: en, label: 'Merchant Identifier'}]}
